package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Wool extends Sprite<Wool.WoolState> {
    public enum WoolState {
        WHITE, LIGHT_GRAY, GRAY, BLACK, BROWN, PINK,
    }

    public Wool() {
        loadResources(new HashMap<>() {
            {
                put(WoolState.WHITE, "white_wool.ans");
                put(WoolState.LIGHT_GRAY, "light_gray_wool.ans");
                put(WoolState.GRAY, "gray_wool.ans");
                put(WoolState.BLACK, "black_wool.ans");
                put(WoolState.BROWN, "brown_wool.ans");
                put(WoolState.PINK, "pink_wool.ans");
            }
        }, WoolState.class);
    }

    public String getSprite() {
        return getResource(WoolState.WHITE);
    }

    public String getSprite(WoolState state) {
        return getResource(state);
    }
}
