package cz.jzitnik.game.core.sound;

import lombok.Getter;

@Getter
public enum SoundType {
    BLOCK(0),
    WALKING(100),
    MINING(100);

    // TODO: Volume is not currently used but will be probably used in future to better normalize the sound volume
    private final int volume;

    SoundType(int volume) {
        this.volume = volume;
    }
}
